libzypp 17.38.5

zyppng::detail::lifter< LiftedFun > Struct Template Reference

`#include <zypp-core/ng/pipelines/lift.h>`

## Public Member Functions
| lifter (LiftedFun &&fun)
| lifter (lifter &&)=default
| ~lifter ()
template<typename T1, typename T2>
auto | operator() (std::pair< T1, T2 > &&data)

## Private Attributes
LiftedFun | _fun

## Detailed Description

template<typename LiftedFun>
struct zyppng::detail::lifter< LiftedFun >

Definition at line 35 of file lift.h.

## Constructor & Destructor Documentation

## ◆ lifter() [1/2]

template<typename LiftedFun>

zyppng::detail::lifter< LiftedFun >::lifter | ( | LiftedFun && | fun | ) |
| inline

Definition at line 37 of file lift.h.

## ◆ lifter() [2/2]

template<typename LiftedFun>

zyppng::detail::lifter< LiftedFun >::lifter | ( | lifter< LiftedFun > && |  | ) |
| default

## ◆ ~lifter()

template<typename LiftedFun>

zyppng::detail::lifter< LiftedFun >::~lifter | ( |  | ) |
| inline

Definition at line 39 of file lift.h.

## Member Function Documentation

## ◆ operator()()

template<typename LiftedFun>
template<typename T1, typename T2>

auto zyppng::detail::lifter< LiftedFun >::operator() | ( | std::pair< T1, T2 > && | data | ) |
| inline

Definition at line 44 of file lift.h.

## Member Data Documentation

## ◆ _fun

template<typename LiftedFun>

LiftedFun zyppng::detail::lifter< LiftedFun >::_fun
| private

Definition at line 48 of file lift.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/lift.h